[m-dev.] for review: deleting trial

Zoltan Somogyi zs at cs.mu.OZ.AU
Thu Jan 18 18:21:33 AEDT 2001


Delete the trial directory, since its contents cannot be compiled anymore.

trial/*:
	Delete these files.

tools/make_arena:
	A new shell script that creates a directory "arena" that contains
	some compiler source files and the interface files you need to compile
	them. You can now do speed tests in this directory.

tools/speedtest:
	Do speed tests in the arena directory, not the trial directory.

Zoltan.

cvs diff: Diffing tools
Index: tools/make_arena
===================================================================
RCS file: make_arena
diff -N make_arena
--- /dev/null	Thu Sep  2 15:00:04 1999
+++ make_arena	Tue Jan 16 18:32:52 2001
@@ -0,0 +1,25 @@
+#!/bin/sh
+#
+# Create and populate an arena directory for use in speed tests.
+
+if test ! -d boehm_gc
+then
+	echo "make_arena should be executed at the top level of a workspace"
+	exit 1
+fi
+
+if test -d arena
+then
+	echo "make_arena: arena directory already exists"
+	exit 1
+fi
+
+mkdir arena
+
+# copy the source files that make the best benchmark subjects into tha arena
+cp compiler/make_hlds.m compiler/typecheck.m compiler/llds_out.m arena
+
+# copy the interface files and possibly optimization files they will need
+cp library/*.int* library/*.*opt compiler/*.int* arena
+
+exit 0
Index: tools/speedtest
===================================================================
RCS file: /home/mercury1/repository/mercury/tools/speedtest,v
retrieving revision 1.8
diff -u -b -r1.8 speedtest
--- tools/speedtest	2000/08/08 04:51:35	1.8
+++ tools/speedtest	2001/01/04 23:54:37
@@ -80,7 +80,7 @@
 
 	MERCURY_COMPILER=$root/$file
 	export MERCURY_COMPILER
-	cd trial
+	cd arena
 	count=1
 	while test $count -le $limit
 	do
cvs diff: Diffing trial
<deleted all the files in trial>
--------------------------------------------------------------------------
mercury-developers mailing list
Post messages to:       mercury-developers at cs.mu.oz.au
Administrative Queries: owner-mercury-developers at cs.mu.oz.au
Subscriptions:          mercury-developers-request at cs.mu.oz.au
--------------------------------------------------------------------------



More information about the developers mailing list